> For the complete documentation index, see [llms.txt](https://docs.connectedyou.io/knowledge-base/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.connectedyou.io/knowledge-base/connectedyou-platform/api-docs/apis-reference/webhooks/bulk-operation-status.md).

# Bulk operation status

Status of a bulk operation processing will be pushed to the configured endpoint in below format.

```
{
  "account_name": "ABC",
  "account_no": 123456789,
  "operation_date": "2024-01-06T14:34:59.410891Z",
  "operation_id": 1234,
  "rule_details": {
    "name": "BO Test",
    "event": "Bulk Operations",
    "category": "Create stream",
    "parameters": null
  },
  "status": "COMPLETED"
}
```

| Item            | Description                                                                                                                                                                                                                                                                                                         |
| --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| account\_name   | Account name                                                                                                                                                                                                                                                                                                        |
| account\_no     | Account number                                                                                                                                                                                                                                                                                                      |
| operation\_date | Time stamp in UTC                                                                                                                                                                                                                                                                                                   |
| operation\_id   | Transaction ID. This can be used to also fetch the result of the operation by using the [GET Bulk Operation Transactions API](https://docs.api.connectedyou.io/#e47bf804-50fd-4a02-bb14-a5e356297f33). operation\_id is same as resource\_id that is returned in 202 ACCEPTED response when transaction is created. |
| rule\_details   | Details of the rule that is enabled to create the notifications via webhook                                                                                                                                                                                                                                         |
| status          | Status of the operation                                                                                                                                                                                                                                                                                             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.connectedyou.io/knowledge-base/connectedyou-platform/api-docs/apis-reference/webhooks/bulk-operation-status.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
